> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Provider Connections



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/llm/provider-connections
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/llm/provider-connections:
    get:
      tags:
        - LLM Provider Connections
      summary: List Provider Connections
      operationId: list_provider_connections_api_llm_provider_connections_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ProviderConnectionResponse'
                title: >-
                  Response List Provider Connections Api Llm Provider
                  Connections Get
                type: array
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProviderConnectionResponse:
      properties:
        api_key_set:
          default: false
          title: Api Key Set
          type: boolean
        base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Url
        created_at:
          title: Created At
          type: integer
        display_name:
          title: Display Name
          type: string
        id:
          title: Id
          type: string
        provider:
          title: Provider
          type: string
        updated_at:
          title: Updated At
          type: integer
      required:
        - id
        - display_name
        - provider
        - created_at
        - updated_at
      title: ProviderConnectionResponse
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.